Skip to content
getgeolens.com

Get Map Share Token Endpoint

GET
/maps/{map_id}/share/
curl --request GET \
--url https://example.com/api/maps/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/share/ \
--header 'Authorization: Bearer <token>'

Return the active share token for a map, or null if none exists.

map_id
required
Map Id
string format: uuid

Successful Response

Media type application/json
Any of:
ShareTokenResponse
object
token
required
Token

Raw token on create, hint on retrieve

string
share_url
Any of:
string
expires_at
Any of:
string format: date-time
is_active
Is Active
boolean
default: true
Example
{
"is_active": true
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}